Update
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Apps.Update(ctx, operations.C1APIAppV1AppsUpdateRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.UpdateAppResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.apps.update({
id: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"app": {
"annotations": {},
"appUserMapper": {
"mappingCases": [
{
"appUserKeyCel": "<string>",
"userKeyCel": "<string>"
}
]
},
"certifyPolicyId": "<string>",
"connectorVersion": 123,
"defaultRequestCatalogId": "<string>",
"description": "<string>",
"displayName": "<string>",
"enableConnectorSourcedOwnership": true,
"grantPolicyId": "<string>",
"iconUrl": "<string>",
"instructions": "<string>",
"isManuallyManaged": true,
"monthlyCostUsd": 123,
"revokePolicyId": "<string>",
"strictAccessEntitlementProvisioning": true
},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{id}"
payload = {
"app": {
"annotations": {},
"appUserMapper": { "mappingCases": [
{
"appUserKeyCel": "<string>",
"userKeyCel": "<string>"
}
] },
"certifyPolicyId": "<string>",
"connectorVersion": 123,
"defaultRequestCatalogId": "<string>",
"description": "<string>",
"displayName": "<string>",
"enableConnectorSourcedOwnership": True,
"grantPolicyId": "<string>",
"iconUrl": "<string>",
"instructions": "<string>",
"isManuallyManaged": True,
"monthlyCostUsd": 123,
"revokePolicyId": "<string>",
"strictAccessEntitlementProvisioning": True
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
app: {
annotations: {},
appUserMapper: {mappingCases: [{appUserKeyCel: '<string>', userKeyCel: '<string>'}]},
certifyPolicyId: '<string>',
connectorVersion: 123,
defaultRequestCatalogId: '<string>',
description: '<string>',
displayName: '<string>',
enableConnectorSourcedOwnership: true,
grantPolicyId: '<string>',
iconUrl: '<string>',
instructions: '<string>',
isManuallyManaged: true,
monthlyCostUsd: 123,
revokePolicyId: '<string>',
strictAccessEntitlementProvisioning: true
},
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"app": {
"annotations": {},
"appAccountId": "<string>",
"appAccountName": "<string>",
"appOwners": [
{
"createdAt": "2023-11-07T05:31:56Z",
"delegatedUserId": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"department": "<string>",
"departmentSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"directoryIds": [
"<string>"
],
"directoryStatusSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"displayName": "<string>",
"email": "<string>",
"emailSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"emails": [
"<string>"
],
"employeeIdSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"employeeIds": [
"<string>"
],
"employmentStatus": "<string>",
"employmentStatusSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"employmentType": "<string>",
"employmentTypeSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"id": "<string>",
"jobTitle": "<string>",
"jobTitleSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"managerIds": [
"<string>"
],
"managerSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"profile": {},
"roleIds": [
"<string>"
],
"updatedAt": "2023-11-07T05:31:56Z",
"username": "<string>",
"usernameSources": [
{
"appId": "<string>",
"appUserId": "<string>",
"appUserProfileAttributeKey": "<string>",
"userAttributeMappingId": "<string>",
"value": "<string>"
}
],
"usernames": [
"<string>"
]
}
],
"appUserMapper": {
"mappingCases": [
{
"appUserKeyCel": "<string>",
"userKeyCel": "<string>"
}
]
},
"certifyPolicyId": "<string>",
"connectorVersion": 123,
"createdAt": "2023-11-07T05:31:56Z",
"defaultRequestCatalogId": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"enableConnectorSourcedOwnership": true,
"fieldMask": "<string>",
"grantPolicyId": "<string>",
"iconUrl": "<string>",
"id": "<string>",
"instructions": "<string>",
"isDirectory": true,
"isManuallyManaged": true,
"logoUri": "<string>",
"monthlyCostUsd": 123,
"parentAppId": "<string>",
"revokePolicyId": "<string>",
"strictAccessEntitlementProvisioning": true,
"updatedAt": "2023-11-07T05:31:56Z",
"userCount": "<string>"
}
}App
Update
Update an existing app.
POST
/
api
/
v1
/
apps
/
{id}
Update
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Apps.Update(ctx, operations.C1APIAppV1AppsUpdateRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.UpdateAppResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.apps.update({
id: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The ID of the app.
Body
application/json
Response
200 - application/json
Returns the updated app's new values.
Returns the updated app's new values.
The App object provides all of the details for an app, as well as some configuration.
Show child attributes
Show child attributes
Was this page helpful?
⌘I